## com.bbn.openmap.dataAccess.shape
Interface EsriGraphic

All Known Implementing Classes:
  EsriGraphicList, EsriPoint, EsriPolygon, EsriPolyline

public interface EsriGraphic

An interface to typecast OMGraphics.

Author:
  Doug Van Auken

Method Summary
`float[]` `getExtents()` The lat/lon extent of the EsriGraphic, returned as miny, minx, maxy maxx in order of the array.
`void` `setExtents(float[] extents)` The lat/lon extent of the EsriGraphic, assumed to contain miny, minx, maxy maxx in order of the array.
`EsriGraphic` `shallowCopy()` Shallow copy this graphic.

Method Detail

### setExtents

    public void setExtents(float[] extents)

  The lat/lon extent of the EsriGraphic, assumed to contain miny, minx, maxy maxx in order of the array.

### getExtents

    public float[] getExtents()

  The lat/lon extent of the EsriGraphic, returned as miny, minx, maxy maxx in order of the array.

### shallowCopy

    public EsriGraphic shallowCopy()

  Shallow copy this graphic. The contract is that the cloned object should be capable of being placed on a different layer.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details